Page MenuHomePhabricator

Improve Pybal's url checks
Closed, ResolvedPublic

Description

As we are planning to serve more traffic via php72-fpm, we need pybal to be able to ensure that php72-fpm backends are healthy. Right now pybal is able to test only one url, our goal is to have pybal check 2 urls (one served via hhvm and one via php72-fpm)

Plan:

  • Deploy the new pybal
  • Configure apache to send <testl url> to php72-fpm always
  • Reconfigure pybal to check that url too
  • Ensure everything works

Event Timeline

jijiki created this task.May 7 2019, 10:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2019, 10:49 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-08T05:48:32Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs2006 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T05:59:08Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs5003 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:02:20Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs5002 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:07:01Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs5001 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:13:08Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs4007 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:16:32Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs4006 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:19:57Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs4005 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:24:55Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs3004 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:29:40Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs3002 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:32:53Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs3003 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:36:06Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs3001 - T222705

Change 508759 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] mediawiki::web::prod_sites: allow forcing engine for testwikidata S:BP

https://gerrit.wikimedia.org/r/508759

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:42:06Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs2003 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:51:18Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs2005 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T06:58:22Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs2002 - T222705

Change 508759 merged by Giuseppe Lavagetto:
[operations/puppet@production] mediawiki::web::prod_sites: allow forcing engine for testwikidata S:BP

https://gerrit.wikimedia.org/r/508759

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:02:03Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs2004 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:04:55Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs2001 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:14:37Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs1006 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:21:53Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs1016 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:26:32Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs1005 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:33:35Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs1002 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:36:58Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs1004 - T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T07:41:05Z] <vgutierrez> upgrading pybal to version 1.15.6 in lvs1001 - T222705

Change 508771 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] jobrunner: allow forcing the engine to use via query string

https://gerrit.wikimedia.org/r/508771

Change 508772 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] lvs: check jobrunners with both rendering engines

https://gerrit.wikimedia.org/r/508772

Change 508773 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] lvs: check both php7 and hhvm on appserver-https

https://gerrit.wikimedia.org/r/508773

Change 508774 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] lvs: Check both rendering engines on the api, appservers pools

https://gerrit.wikimedia.org/r/508774

Change 508771 merged by Giuseppe Lavagetto:
[operations/puppet@production] jobrunner: allow forcing the engine to use via query string

https://gerrit.wikimedia.org/r/508771

Change 508772 merged by Giuseppe Lavagetto:
[operations/puppet@production] lvs: check jobrunners with both rendering engines

https://gerrit.wikimedia.org/r/508772

Mentioned in SAL (#wikimedia-operations) [2019-05-08T08:57:11Z] <_joe_> restarting pybal on lvs2006 to pick up changes for T222705

Change 508773 merged by Giuseppe Lavagetto:
[operations/puppet@production] lvs: check both php7 and hhvm on appserver-https

https://gerrit.wikimedia.org/r/508773

Mentioned in SAL (#wikimedia-operations) [2019-05-08T09:12:57Z] <_joe_> restarting pybal on lvs2006 to pick up changes for T222705 (2/3)

Change 508774 merged by Giuseppe Lavagetto:
[operations/puppet@production] lvs: Check both rendering engines on the api, appservers pools

https://gerrit.wikimedia.org/r/508774

Mentioned in SAL (#wikimedia-operations) [2019-05-08T09:26:28Z] <_joe_> restarting pybal on lvs2006 to pick up changes for T222705 (3/3)

Mentioned in SAL (#wikimedia-operations) [2019-05-08T09:49:27Z] <_joe_> restarted pybal on lvs2003 to pick up changes for T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T09:50:22Z] <_joe_> restarted pybal on lvs1006 to pick up changes for T222705

Mentioned in SAL (#wikimedia-operations) [2019-05-08T10:17:46Z] <_joe_> restarted pybal on lvs1016 to pick up changes for T222705

Change 508826 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] mediawiki::web::prod_sites: add the rewrite rules for blankpage

https://gerrit.wikimedia.org/r/508826

Change 508827 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] lvs: test php7 on enwiki as well

https://gerrit.wikimedia.org/r/508827

Change 508826 merged by Giuseppe Lavagetto:
[operations/puppet@production] mediawiki::web::prod_sites: add the rewrite rules for blankpage

https://gerrit.wikimedia.org/r/508826

CDanis added a subscriber: CDanis.May 8 2019, 6:24 PM

Change 508827 merged by Giuseppe Lavagetto:
[operations/puppet@production] lvs: test php7 on enwiki as well

https://gerrit.wikimedia.org/r/508827

Joe moved this task from Backlog to Doing on the serviceops board.May 9 2019, 11:47 AM
ema moved this task from Triage to LoadBalancer on the Traffic board.May 10 2019, 6:02 AM
Joe closed this task as Resolved.May 10 2019, 10:48 AM
Joe updated the task description. (Show Details)